## StEntry StEntry — Widget for displaying text |

## Functions

StWidget * | st_entry_new ()
const gchar * | st_entry_get_text ()
void | st_entry_set_text ()
ClutterActor * | st_entry_get_clutter_text ()
void | st_entry_set_hint_text ()
const gchar * | st_entry_get_hint_text ()
void | st_entry_set_primary_icon ()
void | st_entry_set_secondary_icon ()
void | st_entry_set_primary_icon_from_file ()
void | st_entry_set_secondary_icon_from_file ()

## Properties

ClutterText * | clutter-text | Read
gchar * | hint-text | Read / Write
gchar * | text | Read / Write

## Signals

void | primary-icon-clicked | Run Last
void | secondary-icon-clicked | Run Last

## Types and Values

struct | StEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── StWidget
                    ╰── StEntry

## Implemented Interfaces

StEntry implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

StEntry is a simple widget for displaying text. It derives from StWidget to add extra style and placement functionality over ClutterText. The internal ClutterText is publicly accessibly to allow applications to set further properties.

StEntry supports the following pseudo style states:

- focus: the widget has focus

- indeterminate: the widget is showing the hint text

- hover: the widget is showing the hint text and is underneath the pointer

## Functions

### st_entry_new ()

    StWidget *
    st_entry_new (const gchar *text);

Create a new StEntry with the specified entry

#### Parameters

text | text to set the entry to |

#### Returns

a new StEntry

### st_entry_get_text ()

    const gchar *
    st_entry_get_text (StEntry *entry);

Get the text displayed on the entry

#### Parameters

entry | a StEntry |

#### Returns

the text for the entry. This must not be freed by the application

### st_entry_set_text ()

    void
    st_entry_set_text (StEntry *entry,
                       const gchar *text);

Sets the text displayed on the entry

#### Parameters

entry | a StEntry |
text | text to set the entry to. | [allow-none]

### st_entry_get_clutter_text ()

    ClutterActor *
    st_entry_get_clutter_text (StEntry *entry);

Retrieve the internal ClutterText so that extra parameters can be set

#### Parameters

entry | a StEntry |

#### Returns

the ClutterText used by StEntry. The entry is owned by the StEntry and should not be unref'ed by the application.

[transfer none]

### st_entry_set_hint_text ()

    void
    st_entry_set_hint_text (StEntry *entry,
                            const gchar *text);

Sets the text to display when the entry is empty and unfocused. When the entry is displaying the hint, it has a pseudo class of "indeterminate". A value of NULL unsets the hint.

#### Parameters

entry | a StEntry |
text | text to set as the entry hint. | [allow-none]

### st_entry_get_hint_text ()

    const gchar *
    st_entry_get_hint_text (StEntry *entry);

Gets the text that is displayed when the entry is empty and unfocused

#### Parameters

entry | a StEntry |

#### Returns

the current value of the hint property. This string is owned by the StEntry and should not be freed or modified.

### st_entry_set_primary_icon ()

    void
    st_entry_set_primary_icon (StEntry *entry,
                               ClutterActor *icon);

Set the primary icon of the entry to `icon`

#### Parameters

entry | a StEntry |
icon | a ClutterActor. | [allow-none]

### st_entry_set_secondary_icon ()

    void
    st_entry_set_secondary_icon (StEntry *entry,
                                 ClutterActor *icon);

Set the secondary icon of the entry to `icon`

#### Parameters

entry | a StEntry |
icon | an ClutterActor. | [allow-none]

### st_entry_set_primary_icon_from_file ()

    void
    st_entry_set_primary_icon_from_file (StEntry *entry,
                                         const gchar *filename);

Set the primary icon of the entry to the given filename

#### Parameters

entry | a StEntry |
filename | filename of an icon. | [allow-none]

### st_entry_set_secondary_icon_from_file ()

    void
    st_entry_set_secondary_icon_from_file (StEntry *entry,
                                           const gchar *filename);

Set the primary icon of the entry to the given filename

#### Parameters

entry | a StEntry |
filename | filename of an icon. | [allow-none]

## Types and Values

### struct StEntry

    struct StEntry;

The contents of this structure is private and should only be accessed using the provided API.

## Property Details

### The `“clutter-text”` property

      “clutter-text”             ClutterText *

Internal ClutterText actor.

Flags: Read

### The `“hint-text”` property

      “hint-text”                gchar *

Text to display when the entry is not focused and the text property is empty.

Flags: Read / Write

Default value: NULL

### The `“text”` property

      “text”                     gchar *

Text of the entry.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“primary-icon-clicked”` signal

    void
    user_function (StEntry *arg0,
                   gpointer user_data)

Emitted when the primary icon is clicked

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“secondary-icon-clicked”` signal

    void
    user_function (StEntry *arg0,
                   gpointer user_data)

Emitted when the secondary icon is clicked

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Run Last